Get Contact List
Fetch a single contact list.
Requires the contact_lists:read scope on the API key.
GET
/
v1
/
contact-lists
/
{contact_list_id}
Get Contact List
curl --request GET \
--url https://api.topo.io/v1/contact-lists/{contact_list_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/contact-lists/{contact_list_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/contact-lists/{contact_list_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"default_sequence_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entries_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"default_sequence_template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}Authorizations
Bearer API key issued from Settings → Developers.
Path Parameters
ID of the contact list.
Response
200 - application/json
Successful Response
Unique identifier.
Name of the list.
Default sequence template for new entries.
Current number of entries in the list.
When the list was created.
When the list last changed.
Was this page helpful?
⌘I
Get Contact List
curl --request GET \
--url https://api.topo.io/v1/contact-lists/{contact_list_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topo.io/v1/contact-lists/{contact_list_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/contact-lists/{contact_list_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"default_sequence_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entries_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"default_sequence_template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}